Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Riesen <raa.lkml@gmail.com>2007-02-20 12:04:32 +0300
committerJunio C Hamano <junkio@cox.net>2007-02-21 10:55:22 +0300
commitd2cd696322011eb13125930e747f0d2a7778b992 (patch)
treeeb39f469c7b139430c423aa3ac3de33e8427cb8e /t/t4016-diff-quote.sh
parentb97e911643341cb31e6b97029b9ffd96fc675b1d (diff)
disable t4016-diff-quote.sh on some filesystems
... because the filesystems (most typically FAT and NTFS) do not support HT nor LF in filenames. Signed-off-by: Alex Riesen <raa.lkml@gmail.com>
Diffstat (limited to 't/t4016-diff-quote.sh')
-rwxr-xr-xt/t4016-diff-quote.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/t/t4016-diff-quote.sh b/t/t4016-diff-quote.sh
index edde8f5568..2e7cd5f255 100755
--- a/t/t4016-diff-quote.sh
+++ b/t/t4016-diff-quote.sh
@@ -13,6 +13,10 @@ P1='pathname with HT'
P2='pathname with SP'
P3='pathname
with LF'
+: >"$P1" 2>&1 && test -f "$P1" && rm -f "$P1" || {
+ echo >&2 'Filesystem does not support tabs in names'
+ test_done
+}
test_expect_success setup '
echo P0.0 >"$P0.0" &&